package com.zzwtec.third.model.basedata.model;

/**
 * Created by Xin.L on 2017/8/24.
 */
public class Door {
    /**
     * 门id
     */
    private String doorId;
    /**
     * 门名称
     */
    private String name;
    /**
     * 门类型 0楼栋门 1小区门
     */
    private Integer type;
    /**
     * 门下标
     */
    private Integer index;
    /**
     * 门上绑定的蓝牙设备地址
     */
    private String bluetooth;
    /**
     * 楼栋门上的楼栋编号 4位，如：0001
     */
    private String num;
    /**
     * 标识是否可以远程开门
     * 0=false:不可以远程开门；1=true可以远程开门（默认1）
     */
    private Boolean remote;

    public String getDoorId() {
        return doorId;
    }

    public void setDoorId(String doorId) {
        this.doorId = doorId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Integer getIndex() {
        return index;
    }

    public void setIndex(Integer index) {
        this.index = index;
    }

    public String getBluetooth() {
        return bluetooth;
    }

    public void setBluetooth(String bluetooth) {
        this.bluetooth = bluetooth;
    }

    public String getNum() {
        return num;
    }

    public void setNum(String num) {
        this.num = num;
    }

    public Boolean getRemote() {
        return remote;
    }

    public void setRemote(Boolean remote) {
        this.remote = remote;
    }

    @Override
    public String toString() {
        final StringBuffer sb = new StringBuffer("Door{");
        sb.append("doorId='").append(doorId).append('\'');
        sb.append(", name='").append(name).append('\'');
        sb.append(", type=").append(type);
        sb.append(", index=").append(index);
        sb.append(", bluetooth='").append(bluetooth).append('\'');
        sb.append(", num='").append(num).append('\'');
        sb.append('}');
        return sb.toString();
    }
}
